corda / net.corda.node.driver / PortAllocation

# PortAllocation

`sealed class PortAllocation`

### Types

Incremental | `class Incremental : PortAllocation`
RandomFree | `object RandomFree : PortAllocation`

### Functions

nextHostAndPort | `fun nextHostAndPort(): HostAndPort`
nextPort | `abstract fun nextPort(): Int`

### Inheritors

Incremental | `class Incremental : PortAllocation`
RandomFree | `object RandomFree : PortAllocation`